-- name: \\#4C8B48\\[CS] Mike Wazowski
-- description: Put that thing right back where it came from, or so help me I-

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_MIKE = smlua_model_util_get_id("mikeyw_geo")

local TEX_MIKE = get_texture_info("mikey-icon")

local TEXT_MOD_NAME = "Mike Wazowski"




local CAPTABLE_CHAR = {
    normal = smlua_model_util_get_id("custom_model_cap_normal_geo"),
    wing = smlua_model_util_get_id("custom_model_cap_wing_geo"),
    metal = smlua_model_util_get_id("custom_model_cap_metal_geo"),
    metalWing = smlua_model_util_get_id("custom_model_cap_wing_geo"),
}

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Mike Wazowski", {"I'm destined for greatness", "I can feel it!"}, "CT Himself", {r = 76, g = 139, b = 72}, E_MODEL_MIKE, CT_MARIO, TEX_MIKE)
    _G.charSelect.character_add_caps(E_MODEL_MIKE, CAPTABLE_CHAR)

 
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end